FLANG

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Fortran::common::Indirection< A, COPY > Class Template Reference

## Public Types
using | element_type = A

## Public Member Functions
| Indirection (A *&&p)
| Indirection (A &&x)
| Indirection (Indirection &&that)
Indirection & | operator= (Indirection &&that)
A & | value ()
const A & | value () const
bool | operator== (const A &that) const
bool | operator== (const Indirection &that) const

## Static Public Member Functions
template<typename... ARGS>
static common::IfNoLvalue< Indirection, ARGS... > | Make (ARGS &&... args)

The documentation for this class was generated from the following file:

- include/flang/Common/indirection.h